from google.appengine.api import urlfetch


POST = urlfetch.POST
GET = urlfetch.GET


class Request:

    @classmethod
    def fetch(cls, url, payload, method=GET, headers=None, deadline=5, validateSSL=False):
        return urlfetch.fetch(
            url=url,
            payload=payload,
            method=method,
            headers=headers,
            validate_certificate=validateSSL,
            deadline=deadline
        )
